Subject: Re: [PATCH RFC 1/4] net: dsa: microchip: convert KSZ9477 SPI driver to use regmap

From: Pavel Machek <[email-masked]>
Date: Fri, 18 Jan 2019 11:50:59 +0100

On Fri 2019-01-18 07:29:35, Marek Vasut wrote:
> On 1/17/19 4:22 AM, [email-masked] wrote:
> > From: Tristram Ha <[email-masked]>
> > 
> > Convert KSZ9477 SPI driver to use regmap mechanism so that an I2C driver
> > can be easily added.
> > 
> > KSZ9477 SPI driver uses a 32-bit SPI command containing a 24-bit address
> > to access registers in 8-bit.  The address is automatically increased to
> > next register.  In theory all registers can be read in one transfer as
> > long as the buffer is enough.  Therefore the regmap_raw_read and
> > regmap_raw_write functions are used for basic 8-bit access.  Two more
> > regmap configurations are used for 16-bit and 32-bit accesses just that
> > regmap_update_bits can be used.
> > 
> > All variables and functions associated with SPI access are removed.
> > 
> > Signed-off-by: Tristram Ha <[email-masked]>
> 
> These extremely patches look similar to what I posted here before:
> 
> https://patchwork.ozlabs.org/cover/1017222/
> 
> But the authorship has changed. Why ?

There seems to be explanation in 0/4.

Tristram: if you started from Marek's patches as you describe in 0/4,
you should mark respective patches as From: and Signed-off-by:
Marek...

Best regards,
								Pavel
-- 
DENX Software Engineering GmbH,      Managing Director: Wolfgang Denk
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany